.prodSelBtn {
    position: relative;
    z-index: 98;
}

.delBtn {
    position: relative;
    z-index: 98;
}

.prodClick {
  position: relative;
  z-index: 98;
}

.datepicker .picker-switch>button {
  background-color:#333333;
}

span.glyphicon.glyphicon-chevron-right {
  color: #333333
}

span.glyphicon.glyphicon-chevron-left {
  color: #333333
}

#tblDSProducts {
    position: relative;
    z-index: 1;
    border-collapse: collapse;
}

.box {
  padding: 1rem;
  display: flex;
  flex-direction: row;
}

.promise {
  font-size: 2rem;
  line-height: 1;
  text-align: left;
  padding: 2rem 1rem;
  background: white;
  border: 3px solid black;
  color: black;
  margin: 0.375rem;
  flex-grow: 1;
}

.promise-store {
  flex-grow: 2;
}

.promise-cart {
  align-items: stretch;
}

.promise-info {
  flex-grow: 3;
  --gap: 16px;
  --num-cols: 4;
  --row-height: 300px;

  box-sizing: border-box;
  padding: var(--gap);

  display: grid;
  grid-template-columns: repeat(var(--num-cols), 1fr);
  grid-auto-rows: var(--row-height);
  gap: var(--gap);
}

.promise-info-col-2 {
  grid-column: span 2;
  align-self: center;
}

.promise-info > img {
  width: 100%;
  height: 100%;
}

.promise-calc {
  align-items: stretch;
}

.point-select {
  margin: left;
  width: 75%;
  padding: 20px;
}

#cornUnits {
  width: 150px;
  font-size: 12pt;
  position: relative;
  left: 84px;
}

#soybeanUnits {
  width: 150px;
  font-size: 12pt;
  position: relative;
  left: 50px;
}

#wheatUnits {
  width: 150px;
  font-size: 12pt;
  position: relative;
  left: 46px;
}

#totalPoints {
  width: 150px;
  font-size: 12pt;
  position: relative;
  left: 5px
}

#tblCart th {
  text-align: center;
  height: 50px;
  vertical-align: middle;
  padding: 10px;
}

#tblCart tbody tr {
  text-align: center;
  height: 50px;
  vertical-align: middle;
}

#tblCart tfoot tr {
  text-align: center;
}

#tblDSProducts tr:hover{
   cursor: pointer;
}

#tblDSProducts tr {
  border-bottom: 1pt solid black;
}

#prodFilter {
  color: black;
  position: relative;
  z-index: 98;
}

#custFilter {
  width: 500px;
}

#cart {
  color: white;
}

.loader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #333333;
  transition: opacity 0.75s, visibility 0.75s;
}

.loader--hidden {
  opacity: 0;
  visibility: hidden;
}

.loader::after {
  content: "";
  width: 75px;
  height: 75px;
  border: 15px solid #dddddd;
  border-top-color: #009578;
  border-radius: 50%;
  animation: loading 0.75s ease infinite;
}

@keyframes loading {
  from {
    transform: rotate(0turn);
  }
  to {
    transform: rotate(1turn);
  }
}

/* The Modal (background) */
.modalDSProd {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 99; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

.outer {
  display: inline-block;
  vertical-align: middle;
}

.number {
  display: inline-block;
}

.modButtons {
  display: inline-block;
}

/* Modal Content/Box */
.modal-content-DSProd {
  background-color: #fefefe;
  margin: 15% auto; /* 15% from the top and centered */
  padding: 20px;
  border: 1px solid #888;
  width: 80%; /* Could be more or less, depending on screen size */
}

/* The Close Button */
.closeDSProd {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.closeDSProd:hover,
.closeDSProd:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}

	span {cursor:pointer; }
		.number{
			margin:15px;
		}
		.minus, .plus{
			width:25px;
			height:20px;
			background:#f2f2f2;
			border-radius:4px;
			padding:8px 5px 8px 5px;
			border:1px solid #ddd;
      vertical-align: middle;
      text-align: center;
      color: black;
		}
		.qtyInput{
			height:34px;
      width: 100px;
      text-align: center;
      font-size: 26px;
			border:1px solid #ddd;
			border-radius:4px;
      display: inline-block;
      vertical-align: middle;
      color: black;
    } 

#tblData, #tblProduct {
  border-collapse: collapse;
  width: 100%;
}

#tblData th, #tblData td, #tblProduct th, #tblProduct td {
  text-align: left;
  padding: 12px;
}

#tblData tr:hover {
  background-color:lightblue;
}

.button:hover {
  background-color:aqua;
}

table .collapse.in {
	display:table-row;
}

.orderdetailids {
  width : 20px;
  height : 20px;
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}